DH_PPP(1p)

NAME
dh_ppp - calculate ppp dependencies

SYNOPSIS
dh_ppp [debhelper options] [--breaks] [--force] [--plugin-dir]

DESCRIPTION
dh_ppp is a debhelper program that adds appropriate ppp dependencies on packages that build pppd plugins.

By default, some entries are added to misc:Depends that ensure that packages which contain plugins that are loaded into pppd depend on an appropriate version of the ppp package.

You may prefer to use a Breaks relationship instead, for example if your package supplies a pppd plugin but does not require it for normal operation. In that case you should supply the --breaks option and misc:Breaks will be populated instead of misc:Depends.

Substvars entries are only added if a pppd plugin is detected in the build products, unless --force is specified. Plugins are detected by searching a package's build products for libraries with a symbol named plugin_init.

A warning is emitted if a plugin is found that does not also contain a pppd_version symbol.

Please note there is a dh addon named ppp which can be used to automatically invoke dh_ppp for you.

FILES

/usr/share/ppp-dev/substvars
    Template substitution variables. The values in this file are used when populating the misc:Depends or misc:Breaks substition variables, or they may be manually copied into a package's substvars if one wishes not to use dh_ppp.

OPTIONS

--breaks
    Rather than populating misc:Depends to ensure an appropriate version of ppp is used, populate misc:Breaks such that a inappropriate version of ppp may not be used.

--force
    Do not try to detect pppd plugins in the package, and always assume that a plugin is present. This will cause misc:Depends (or misc:Breaks) to always be populated.

--plugin-dir
    Simply outputs the path to the pppd plugins directory for the current ABI version. When this flag is specified, dh_ppp makes no attempt to detect any plugins nor does it update any substitution variables.

NOTES
Note that this command is not idempotent. dh_prep(1) should be called between invocations of this command (with the same arguments). Otherwise, it may cause multiple instances of the same text to be added to the substition variables.

Note that dh_ppp should be run before dh_gencontrol. The ppp sequence addon for dh does the right thing, this note is only relevant when you are calling dh_ppp manually.

SEE ALSO
debhelper(7)

AUTHORS
Chris Boot <bootc@debian.org>